package org.cte.ABCD.fiacre.tests;


public class ABCD4UMLExplorationTest extends AbstractABCDExplorationTest {

	private String testDirectory = "../ABCD/examples/uml/";
	
	public void testComplexEvents() throws Exception {
		all(testDirectory+"complexEvents.abcd", 1416, 2124);
	}
	
	public void testPingPong() throws Exception {
		all(testDirectory+"uml_pingpongs/pingpong.abcd", 3, 3);
	}
	
	public void testSingleTransitionTypesByLuka() throws Exception {
		all(testDirectory+"example_single_transition_types_by_luka.abcd", 90, 189);
	}
	
	public void testExampleDefer() throws Exception {
		all(testDirectory+"example_defer.abcd", 30, 59);
	}
	
	public void testPingPongMultiple() throws Exception {
		all(testDirectory+"uml_pingpongs/pingpong_multiple.abcd", 63, 103);
	}
	
	public void testPingPongMultipleSigned() throws Exception {
		all(testDirectory+"uml_pingpongs/pingpong_multiple_signed.abcd", 7, 9);
	}
	public void testPingPongMultipleSignedSelect() throws Exception {
		all(testDirectory+"uml_pingpongs/pingpong_multiple_signed_select.abcd", 6, 9);
	}
}
