package org.cte.ABCD.fiacre.tests;

import org.junit.Test;

public class ABCDBaseExplorationTest extends AbstractABCDExplorationTest {

//	@Test //codegeneration method
//	public void testCompileExample() throws Exception {
//		File f = new File("../ABCD/examples");
//		int idx = 0;
//		for (File file : f.listFiles(new ABCDFileFilter())) {
//			System.out.println("public void testN"+idx++ +"() throws Exception {\n\tall(\"" + file+"\", 5, 4);\n}");
//		}
//	}
//	
//	class ABCDFileFilter implements FilenameFilter {
//		public boolean accept(File dir, String name) {
//			return name.endsWith(".abcd");
//		}
//	}
	
	public void testN0() throws Exception {
		all("../ABCD/examples/example1-RW.abcd", 23, 23);
	}
	public void testN2() throws Exception {
		all("../ABCD/examples/example11-par.abcd", 1, 5);
	}
	public void testN3() throws Exception {
		all("../ABCD/examples/example12-min.abcd", 1001, 1000);
	}
	public void testN4() throws Exception {
		all("../ABCD/examples/example13-send_receive.abcd", 12, 11);
	}
	public void testN5() throws Exception {
		try {
			all("../ABCD/examples/example14-counter.abcd", 5, 4);
		} catch(RuntimeException e) {}
	}
	
	public void testN6() throws Exception {
		try {
			all("../ABCD/examples/example15_multicoms.abcd", 5, 4);
		}catch(IllegalArgumentException e){}
	}
	public void testN7() throws Exception {
		all("../ABCD/examples/example16_local_mutex.abcd", 16, 32);
	}
	public void testN8() throws Exception {
		all("../ABCD/examples/example16_mutex.abcd", 384, 2880);
	}
	public void testN9() throws Exception {
		all("../ABCD/examples/example16_nolock_mutex.abcd", 1, 1);
	}
	public void testN10() throws Exception {
		all("../ABCD/examples/example16_notused_mutex.abcd", 1, 1);
	}
	public void testN11() throws Exception {
		all("../ABCD/examples/example2-commSync.abcd", 2, 2);
	}
	public void testN12() throws Exception {
		all("../ABCD/examples/example3-commASync.abcd", 4, 8);
	}
	public void testN13() throws Exception {
		all("../ABCD/examples/example3_async_2chan_b.abcd", 36, 144);
	}
	public void testN14() throws Exception {
		all("../ABCD/examples/example3_async_2chan_bnb.abcd", 48, 192);
	}
	public void testN15() throws Exception {
		all("../ABCD/examples/example3_async_2chan_nb.abcd", 36, 144);
	}
	public void testN16() throws Exception {
		all("../ABCD/examples/example3_async_block.abcd", 6, 12);
	}
	public void testN17() throws Exception {
		all("../ABCD/examples/example3_async_noblock.abcd", 6, 12);
	}
	public void testN18() throws Exception {
		all("../ABCD/examples/example3_async_sync.abcd", 20, 60);
	}
	public void testN19() throws Exception {
		all("../ABCD/examples/example3_async_sync_noblock.abcd", 20, 60);
	}
	public void testN20() throws Exception {
		all("../ABCD/examples/example4-comput.abcd", 11, 16);
	}
	
	public void testN21() throws Exception {
		try {
			all("../ABCD/examples/example5-prodCons.abcd", -1, -1);
		} catch(IllegalArgumentException e) {}
	}
	public void testN22() throws Exception {
		all("../ABCD/examples/example5_prodCons_nomulti.abcd", 1918, 3836);
	}
	public void testN23() throws Exception {
		all("../ABCD/examples/example6-stack.abcd", 99, 119);
	}
	public void testN24() throws Exception {
		all("../ABCD/examples/example7-mutex.abcd", 39, 108);
	}
	public void testN25() throws Exception {
		all("../ABCD/examples/example7-semaphore.abcd", 51, 204);
	}
	public void testN26() throws Exception {
		all("../ABCD/examples/example7_local_semaphore.abcd", 1, 1);
	}
	public void testN27() throws Exception {
		all("../ABCD/examples/example7_notused_semaphore.abcd", 1, 1);
	}
	public void testN30() throws Exception {
		try {
			all("../ABCD/examples/example_async_chan.abcd", -1, -1);
		} catch(RuntimeException e) {}
	}
	public void testN31() throws Exception {
		all("../ABCD/examples/example_defer_lowlevel.abcd", 45, 111);
	}
	public void testN32() throws Exception {
		all("../ABCD/examples/example_endloop.abcd", 3, 3);
	}
	public void testN33() throws Exception {
		all("../ABCD/examples/example_fct1.abcd", 2, 2);
	}
	public void testN34() throws Exception {
		all("../ABCD/examples/example_fifo_ops.abcd", 7, 7);
	}
	public void testN35() throws Exception {
		all("../ABCD/examples/example_foreach.abcd", 2, 2);
	}
	public void testN36() throws Exception {
		try {
			all("../ABCD/examples/example_ping_pong.abcd", -1, -1);
		} catch(IllegalArgumentException e){}
	}
	public void testN37() throws Exception {
		all("../ABCD/examples/example_portmap.abcd", 4, 6);
	}
	public void testN38() throws Exception {
		all("../ABCD/examples/example_sync_chan.abcd", 1, 1);
	}
	public void testN39() throws Exception {
		all("../ABCD/examples/example_while.abcd", 2, 2);
	}
	public void testN40() throws Exception {
		all("../ABCD/examples/timer_api.abcd", 11, 11);
	}
	public void testN41() throws Exception {
		try {
			all("../ABCD/examples/timer_api_local.abcd", -1, -1);
		} catch(RuntimeException e) {}
	}
	public void testN42() throws Exception {
		all("../ABCD/examples/timer_api_shared.abcd", 39, 46);
	}
	public void testN43() throws Exception {
		all("../ABCD/examples/timer_flat.abcd", 58, 100);
	}
	public void testN44() throws Exception {
		all("../ABCD/examples/timer_shared.abcd", 3, 2);
	}
}
