package org.cte.ABCD.fiacre.tests;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;

import org.cte.ABCD.fiacre.ABCDUtil;
import org.junit.Test;

import test.AbstractFiacreToExplorerTest;

public class AbstractABCDExplorationTest extends AbstractFiacreToExplorerTest {
	protected void all(String filePath, int expectedConfigurationCount, int expectedActionCount) throws Exception {
		all(new File(filePath), expectedConfigurationCount, expectedActionCount);
	}
	
	@Override
	protected void all(File file, int expectedConfigurationCount, int expectedActionCount) throws Exception {
		System.out.println("[Converting " + file + " to fiacre]");
		
		if (!file.exists()) {
			throw new FileNotFoundException(file.toString());
		}
		
		String sys = null;
		try {
			sys = ABCDUtil.toFiacre(file);
		} catch (Exception e) {
			System.err.println("error converting "+ file);
			e.printStackTrace();
		}
		
		assert(sys != null);
		
		File fcrFile = new File(ltsDestinationFile+"/"+baseName(file).replaceAll("-", "_") +"fcr");
		FileOutputStream stream = new FileOutputStream(fcrFile);
		stream.write(sys.getBytes("UTF-8"));
		stream.close();
		
//		try {
			super.all(fcrFile, expectedConfigurationCount, expectedActionCount);
//		} catch (Exception e) {
//			TestCase.fail(e.getMessage());
//		}
	}
	
    @Test
    public void testPassing() {
        assertTrue(true);
    }
}
