package test.compiled.example11_par;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class PuConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public PuConfiguration() {
	}

	//Create configuration as a copy
	public PuConfiguration(PuConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new PuConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof PuConfiguration) {
			PuConfiguration other = (PuConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

