package test.compiled.example12_min;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class MainConfiguration extends BehaviorConfiguration {

	public int v;

	//Create initial configuration
	public MainConfiguration() {
		this.v = 2;
	}

	//Create configuration as a copy
	public MainConfiguration(MainConfiguration other) {
		this.v = other.v;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new MainConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof MainConfiguration) {
			MainConfiguration other = (MainConfiguration) object;
			if (v != other.v) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + v;
		return total;
	}

}

