package test.compiled.example13_send_receive;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ReceiverConfiguration extends BehaviorConfiguration {

	public short state;

	public int x;

	//Create initial configuration
	public ReceiverConfiguration() {
		this.x = 0;
	}

	//Create configuration as a copy
	public ReceiverConfiguration(ReceiverConfiguration other) {
		this.state = other.state;
		this.x = other.x;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ReceiverConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ReceiverConfiguration) {
			ReceiverConfiguration other = (ReceiverConfiguration) object;
			if (state != other.state) return false;
			if (x != other.x) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + x;
		return total;
	}

}

