package test.compiled.example16_mutex;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Mutex_2Configuration extends BehaviorConfiguration {

	public short state;

	public boolean locked;

	public int id_;

	//Create initial configuration
	public Mutex_2Configuration() {
		this.locked = false;
		this.id_ = 0;
	}

	//Create configuration as a copy
	public Mutex_2Configuration(Mutex_2Configuration other) {
		this.state = other.state;
		this.locked = other.locked;
		this.id_ = other.id_;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Mutex_2Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Mutex_2Configuration) {
			Mutex_2Configuration other = (Mutex_2Configuration) object;
			if (state != other.state) return false;
			if (locked != other.locked) return false;
			if (id_ != other.id_) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + (locked? 1 : 0);
		total = total * 37 + id_;
		return total;
	}

}

