package test.compiled.example16_nolock_mutex;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class VConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public VConfiguration() {
	}

	//Create configuration as a copy
	public VConfiguration(VConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new VConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof VConfiguration) {
			VConfiguration other = (VConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

