package test.compiled.example1_rw;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class MainConfiguration extends BehaviorConfiguration {

	public int data;

	//Create initial configuration
	public MainConfiguration() {
		this.data = 0;
	}

	//Create configuration as a copy
	public MainConfiguration(MainConfiguration other) {
		this.data = other.data;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new MainConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof MainConfiguration) {
			MainConfiguration other = (MainConfiguration) object;
			if (data != other.data) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + data;
		return total;
	}

}

