package test.compiled.example1_rw;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ProcWConfiguration extends BehaviorConfiguration {

	public short state;

	public int val;

	//Create initial configuration
	public ProcWConfiguration() {
		this.val = 0;
	}

	//Create configuration as a copy
	public ProcWConfiguration(ProcWConfiguration other) {
		this.state = other.state;
		this.val = other.val;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ProcWConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ProcWConfiguration) {
			ProcWConfiguration other = (ProcWConfiguration) object;
			if (state != other.state) return false;
			if (val != other.val) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + val;
		return total;
	}

}

