package test.compiled.example1_rw;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class SchedConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public SchedConfiguration() {
	}

	//Create configuration as a copy
	public SchedConfiguration(SchedConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new SchedConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof SchedConfiguration) {
			SchedConfiguration other = (SchedConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

