package test.compiled.example3_async_sync_noblock;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ProcRConfiguration extends BehaviorConfiguration {

	public short state;

	public int val;

	//Create initial configuration
	public ProcRConfiguration() {
		this.val = 0;
	}

	//Create configuration as a copy
	public ProcRConfiguration(ProcRConfiguration other) {
		this.state = other.state;
		this.val = other.val;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ProcRConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ProcRConfiguration) {
			ProcRConfiguration other = (ProcRConfiguration) object;
			if (state != other.state) return false;
			if (val != other.val) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + val;
		return total;
	}

}

