package test.compiled.example4_comput;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class CmdConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public CmdConfiguration() {
	}

	//Create configuration as a copy
	public CmdConfiguration(CmdConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new CmdConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof CmdConfiguration) {
			CmdConfiguration other = (CmdConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

