package test.compiled.example7_local_semaphore;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class XConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public XConfiguration() {
	}

	//Create configuration as a copy
	public XConfiguration(XConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new XConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof XConfiguration) {
			XConfiguration other = (XConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

