package test.compiled.example7_mutex;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ProcRConfiguration extends BehaviorConfiguration {

	public short state;

	public int data;

	//Create initial configuration
	public ProcRConfiguration() {
		this.data = 0;
	}

	//Create configuration as a copy
	public ProcRConfiguration(ProcRConfiguration other) {
		this.state = other.state;
		this.data = other.data;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ProcRConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ProcRConfiguration) {
			ProcRConfiguration other = (ProcRConfiguration) object;
			if (state != other.state) return false;
			if (data != other.data) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + data;
		return total;
	}

}

