package test.compiled.example7_semaphore;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class RConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public RConfiguration() {
	}

	//Create configuration as a copy
	public RConfiguration(RConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new RConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof RConfiguration) {
			RConfiguration other = (RConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

