package test.compiled.example_defer;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ClientConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public ClientConfiguration() {
	}

	//Create configuration as a copy
	public ClientConfiguration(ClientConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ClientConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ClientConfiguration) {
			ClientConfiguration other = (ClientConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

