package test.compiled.example_portmap;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class DConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public DConfiguration() {
	}

	//Create configuration as a copy
	public DConfiguration(DConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new DConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof DConfiguration) {
			DConfiguration other = (DConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

