package test.compiled.example_single_transition_types_by_luka;

import org.xid.basics.serializer.BoostObject;
import org.xid.basics.serializer.Boost;

public abstract class T_message implements BoostObject {

	public static class T_message_evtA extends T_message {

		public T_message_evtA() {
		}

		public T_message_evtA(T_message_evtA other) {
		}

		public T_message_evtA(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == T_message_evtA.class;
		}

		@Override
		public int hashCode() {
			int total = 18660;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{t_message_evtA");
			text.append("}");
			return text.toString();
		}

	}

	public static class T_message_evtB extends T_message {

		public T_message_evtB() {
		}

		public T_message_evtB(T_message_evtB other) {
		}

		public T_message_evtB(Boost boost) {
			boost.register(this);
		}

		public void writeToBoost(Boost boost) {
		}

		@Override
		public boolean equals(Object object) {
			return object != null && object.getClass() == T_message_evtB.class;
		}

		@Override
		public int hashCode() {
			int total = 104337;
			return total;
		}

		public String toString() {
			StringBuilder text = new StringBuilder();
			text.append("{t_message_evtB");
			text.append("}");
			return text.toString();
		}

	}

	public static T_message copy(T_message other) {
		if (other == null) {
			return null;
		}
		else if ( other.getClass() == T_message_evtA.class ) {
			return new T_message_evtA((T_message_evtA) other);
		}
		else if ( other.getClass() == T_message_evtB.class ) {
			return new T_message_evtB((T_message_evtB) other);
		}
		throw new IllegalArgumentException("Unknown constructor for 'T_message'.");
	}

}

