package test.compiled.pingpong_multiple;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class PingerConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public PingerConfiguration() {
	}

	//Create configuration as a copy
	public PingerConfiguration(PingerConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new PingerConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof PingerConfiguration) {
			PingerConfiguration other = (PingerConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

