package test.compiled.pingpong_multiple_signed;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class PingerConfiguration extends BehaviorConfiguration {

	public short state;

	public int id_;

	//Create initial configuration
	public PingerConfiguration() {
		this.id_ = 1;
	}

	//Create configuration as a copy
	public PingerConfiguration(PingerConfiguration other) {
		this.state = other.state;
		this.id_ = other.id_;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new PingerConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof PingerConfiguration) {
			PingerConfiguration other = (PingerConfiguration) object;
			if (state != other.state) return false;
			if (id_ != other.id_) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + id_;
		return total;
	}

}

