package test.compiled.timer_api;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Tim_1_1_1Configuration extends BehaviorConfiguration {

	public short state;

	public int delay;

	//Create initial configuration
	public Tim_1_1_1Configuration() {
		this.delay = 0;
	}

	//Create configuration as a copy
	public Tim_1_1_1Configuration(Tim_1_1_1Configuration other) {
		this.state = other.state;
		this.delay = other.delay;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Tim_1_1_1Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Tim_1_1_1Configuration) {
			Tim_1_1_1Configuration other = (Tim_1_1_1Configuration) object;
			if (state != other.state) return false;
			if (delay != other.delay) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + delay;
		return total;
	}

}

