package test.compiled.timer_flat;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class TimerConfiguration extends BehaviorConfiguration {

	public short state;

	public int tdElay;

	//Create initial configuration
	public TimerConfiguration() {
		this.tdElay = 0;
	}

	//Create configuration as a copy
	public TimerConfiguration(TimerConfiguration other) {
		this.state = other.state;
		this.tdElay = other.tdElay;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new TimerConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof TimerConfiguration) {
			TimerConfiguration other = (TimerConfiguration) object;
			if (state != other.state) return false;
			if (tdElay != other.tdElay) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + tdElay;
		return total;
	}

}

