package org.cte.ABCD.compiler.tests;

import static org.junit.Assert.assertTrue;

import java.io.File;

import org.cte.ABCD.compiler.Compiler;
import org.cte.ABCD.model.declarations.ABCDSystem;
import org.cte.ABCD.printer.PrintVisitor;


public class CompilePrintCompileTest extends ABCDCompilerTests {

	@Override
	public void assertFile(String filename) {
		ABCDSystem sys = null;
		ABCDSystem sys1 = null;
		try {
			sys = Compiler.compile(new File(filename));
			PrintVisitor printer = new PrintVisitor();
			sys.accept(printer);
			String stringSys = printer.getsB().toString();
			sys1 = Compiler.compile(stringSys);
			if (sys1 == null) {
				System.out.println(stringSys);
			}
		} catch (Exception e) {
			System.err.println("testing "+ filename);
			e.printStackTrace();
		}
		assertTrue("testing "+ filename, sys1 != null);
	}
}
