package test.compiled.complexevents;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ConsumerConfiguration extends BehaviorConfiguration {

	public short state;

	public Targs1 args;

	public int xx;

	//Create initial configuration
	public ConsumerConfiguration() {
		this.args = new Targs1();
		this.xx =  - (1);
	}

	//Create configuration as a copy
	public ConsumerConfiguration(ConsumerConfiguration other) {
		this.state = other.state;
		this.args = new Targs1(other.args);
		this.xx = other.xx;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ConsumerConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ConsumerConfiguration) {
			ConsumerConfiguration other = (ConsumerConfiguration) object;
			if (state != other.state) return false;
			if (!args.equals(other.args)) return false;
			if (xx != other.xx) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + args.hashCode();
		total = total * 37 + xx;
		return total;
	}

}

