package test.compiled.complexevents;

import obp.explorer.runtime.BehaviorConfiguration;
import java.util.Arrays;

@SuppressWarnings("all")
public class MainConfiguration extends BehaviorConfiguration {

	public ConsumerEvents[] toTheConsumer;

	//Create initial configuration
	public MainConfiguration() {
		this.toTheConsumer = new ConsumerEvents[] {};
	}

	//Create configuration as a copy
	public MainConfiguration(MainConfiguration other) {
		this.toTheConsumer = new ConsumerEvents[other.toTheConsumer.length];
		for (int i=0; i<other.toTheConsumer.length; i++) {
			this.toTheConsumer[i] = ConsumerEvents.copy(other.toTheConsumer[i]);
		}
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new MainConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof MainConfiguration) {
			MainConfiguration other = (MainConfiguration) object;
			if (!Arrays.deepEquals(toTheConsumer, other.toTheConsumer)) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + Arrays.deepHashCode(toTheConsumer);
		return total;
	}

}

