package test.compiled.complexevents;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ProducerConfiguration extends BehaviorConfiguration {

	public short state;

	public int x;

	public boolean b;

	//Create initial configuration
	public ProducerConfiguration() {
		this.x = 1;
		this.b = true;
	}

	//Create configuration as a copy
	public ProducerConfiguration(ProducerConfiguration other) {
		this.state = other.state;
		this.x = other.x;
		this.b = other.b;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ProducerConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ProducerConfiguration) {
			ProducerConfiguration other = (ProducerConfiguration) object;
			if (state != other.state) return false;
			if (x != other.x) return false;
			if (b != other.b) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + x;
		total = total * 37 + (b? 1 : 0);
		return total;
	}

}

