package test.compiled.example3_async_noblock;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ProcR0Configuration extends BehaviorConfiguration {

	public short state;

	public int val;

	//Create initial configuration
	public ProcR0Configuration() {
		this.val = 0;
	}

	//Create configuration as a copy
	public ProcR0Configuration(ProcR0Configuration other) {
		this.state = other.state;
		this.val = other.val;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ProcR0Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ProcR0Configuration) {
			ProcR0Configuration other = (ProcR0Configuration) object;
			if (state != other.state) return false;
			if (val != other.val) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + val;
		return total;
	}

}

