package test.compiled.example4_comput;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ComputeConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public ComputeConfiguration() {
	}

	//Create configuration as a copy
	public ComputeConfiguration(ComputeConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ComputeConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ComputeConfiguration) {
			ComputeConfiguration other = (ComputeConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

