package test.compiled.example5_prodcons_nomulti;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class MmiConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public MmiConfiguration() {
	}

	//Create configuration as a copy
	public MmiConfiguration(MmiConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new MmiConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof MmiConfiguration) {
			MmiConfiguration other = (MmiConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

