package test.compiled.example5_prodcons_nomulti;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class OsProcessConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public OsProcessConfiguration() {
	}

	//Create configuration as a copy
	public OsProcessConfiguration(OsProcessConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new OsProcessConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof OsProcessConfiguration) {
			OsProcessConfiguration other = (OsProcessConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

