package test.compiled.example6_stack;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ClientPopConfiguration extends BehaviorConfiguration {

	public short state;

	public int data;

	//Create initial configuration
	public ClientPopConfiguration() {
		this.data = 0;
	}

	//Create configuration as a copy
	public ClientPopConfiguration(ClientPopConfiguration other) {
		this.state = other.state;
		this.data = other.data;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ClientPopConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ClientPopConfiguration) {
			ClientPopConfiguration other = (ClientPopConfiguration) object;
			if (state != other.state) return false;
			if (data != other.data) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + data;
		return total;
	}

}

