package test.compiled.example7_semaphore;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class MainConfiguration extends BehaviorConfiguration {

	public int v0;

	//Create initial configuration
	public MainConfiguration() {
		this.v0 = 2;
	}

	//Create configuration as a copy
	public MainConfiguration(MainConfiguration other) {
		this.v0 = other.v0;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new MainConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof MainConfiguration) {
			MainConfiguration other = (MainConfiguration) object;
			if (v0 != other.v0) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + v0;
		return total;
	}

}

