package test.compiled.example7_semaphore;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class Sem_2_2Configuration extends BehaviorConfiguration {

	public short state;

	public int count;

	//Create initial configuration
	public Sem_2_2Configuration() {
	}

	public Sem_2_2Configuration(int size) {
		this.state = 0;
		this.count = size;
	}

	//Create configuration as a copy
	public Sem_2_2Configuration(Sem_2_2Configuration other) {
		this.state = other.state;
		this.count = other.count;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new Sem_2_2Configuration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof Sem_2_2Configuration) {
			Sem_2_2Configuration other = (Sem_2_2Configuration) object;
			if (state != other.state) return false;
			if (count != other.count) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + count;
		return total;
	}

}

