package test.compiled.example_defer;

import obp.explorer.runtime.BehaviorConfiguration;
import java.util.Arrays;

@SuppressWarnings("all")
public class MainConfiguration extends BehaviorConfiguration {

	public T_message[] clientEP;

	//Create initial configuration
	public MainConfiguration() {
		this.clientEP = new T_message[] {};
	}

	//Create configuration as a copy
	public MainConfiguration(MainConfiguration other) {
		this.clientEP = new T_message[other.clientEP.length];
		for (int i=0; i<other.clientEP.length; i++) {
			this.clientEP[i] = T_message.copy(other.clientEP[i]);
		}
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new MainConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof MainConfiguration) {
			MainConfiguration other = (MainConfiguration) object;
			if (!Arrays.deepEquals(clientEP, other.clientEP)) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + Arrays.deepHashCode(clientEP);
		return total;
	}

}

