package test.compiled.example_defer_lowlevel;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class ProducerConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public ProducerConfiguration() {
	}

	//Create configuration as a copy
	public ProducerConfiguration(ProducerConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new ProducerConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof ProducerConfiguration) {
			ProducerConfiguration other = (ProducerConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

