package test.compiled.example_defer_lowlevel;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class SysConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public SysConfiguration() {
	}

	//Create configuration as a copy
	public SysConfiguration(SysConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new SysConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof SysConfiguration) {
			SysConfiguration other = (SysConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

