package test.compiled.example_fct1;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class PConfiguration extends BehaviorConfiguration {

	public short state;

	public int x;

	//Create initial configuration
	public PConfiguration() {
		this.x = 0;
	}

	//Create configuration as a copy
	public PConfiguration(PConfiguration other) {
		this.state = other.state;
		this.x = other.x;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new PConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof PConfiguration) {
			PConfiguration other = (PConfiguration) object;
			if (state != other.state) return false;
			if (x != other.x) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + x;
		return total;
	}

}

