package test.compiled.example_foreach;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class TotoConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public TotoConfiguration() {
	}

	//Create configuration as a copy
	public TotoConfiguration(TotoConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new TotoConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof TotoConfiguration) {
			TotoConfiguration other = (TotoConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

