package test.compiled.example_single_transition_types_by_luka;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class SusConfiguration extends BehaviorConfiguration {

	public short state;

	public boolean guard;

	//Create initial configuration
	public SusConfiguration() {
		this.guard = false;
	}

	//Create configuration as a copy
	public SusConfiguration(SusConfiguration other) {
		this.state = other.state;
		this.guard = other.guard;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new SusConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof SusConfiguration) {
			SusConfiguration other = (SusConfiguration) object;
			if (state != other.state) return false;
			if (guard != other.guard) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		total = total * 37 + (guard? 1 : 0);
		return total;
	}

}

