package test.compiled.pingpong_multiple;

import obp.explorer.runtime.BehaviorConfiguration;

@SuppressWarnings("all")
public class PongerConfiguration extends BehaviorConfiguration {

	public short state;

	//Create initial configuration
	public PongerConfiguration() {
	}

	//Create configuration as a copy
	public PongerConfiguration(PongerConfiguration other) {
		this.state = other.state;
	}

	@Override
	public BehaviorConfiguration createCopy() {
		return new PongerConfiguration(this);
	}

	@Override
	public boolean equals(Object object) {
		if (object instanceof PongerConfiguration) {
			PongerConfiguration other = (PongerConfiguration) object;
			if (state != other.state) return false;
			return true;
		}
		return false;
	}

	@Override
	public int hashCode() {
		int total = 17;
		total = total * 37 + state;
		return total;
	}

}

