package test.compiled.pingpong_multiple_signed_select;

import obp.explorer.runtime.core.Channel;
import obp.explorer.runtime.SymbolsTable;
import obp.explorer.runtime.Composition;
import obp.explorer.runtime.Component;

@SuppressWarnings("all")
public class MainComposition extends Composition {

	private final Component[] components;

	private final Channel[] channels;

	public MainComposition(SymbolsTable symbols) {
		MainBehavior me = new MainBehavior(symbols);
		//Initializes variables
		me.createInitialConfiguration(null);
		
		channels = new Channel[] {  };
		
		components = new Component[] {
				me,
				new PingerBehavior(symbols, me.getToThePingerRef(), me.getToThePonger1Ref(), me.getToThePonger2Ref()),
				new PongerBehavior(symbols, me.getV0Ref(), me.getToThePonger1Ref(), me.getToThePingerRef()),
				new PongerBehavior(symbols, me.getV1Ref(), me.getToThePonger2Ref(), me.getToThePingerRef())
			};
		
	}

	@Override
	public Component[] getComponents() {
		return components;
	}

	@Override
	public Channel[] getChannels() {
		return channels;
	}

}

